Skip to main content
POST
File Validate Metadata
Use PUT /v1/flow/files to upload files instead of this deprecated endpoint.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Body

application/json
purpose
string
required

Purpose the file will be uploaded for.

suffix
string
required

File name suffix, such as .jsonl.

size
integer
required

Size of the file in bytes.

Response

Success

Last modified on November 4, 2026